Index: trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php	(revision 396)
+++ trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php	(revision 414)
@@ -12,4 +12,8 @@
 	var $imap_server;
 	var $imap_port;
+    var $imap_trashfolder;
+    var $imap_sentfolder;
+    var $imap_draftsfolder;
+    var $imap_spamfolder;
 	
 	function imap_functions(){
@@ -18,4 +22,8 @@
 		$this->imap_server	= $_SESSION['phpgw_info']['expresso']['email_server']['imapServer'];
 		$this->imap_port	= $_SESSION['phpgw_info']['expresso']['email_server']['imapPort'];
+		$this->imap_trashfolder		= $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultTrashFolder'];
+		$this->imap_sentfolder		= $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultSentFolder'];
+		$this->imap_draftsfolder	= $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultDraftsFolder'];
+		$this->imap_spamfolder		= $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultSpamFolder'];
 		$this->imapDelimiter= $_SESSION['phpgw_info']['expresso']['email_server']['imapDelimiter'];
 		$this->imap 		= imap_open('{'.$this->imap_server.':'.$this->imap_port.'/novalidate-cert}', $this->imap_admin, $this->imap_passwd, OP_HALFOPEN);
@@ -28,34 +36,52 @@
 		{
 			$error = imap_errors();
-			$result['status'] = false;
-			$result['msg'] = 'Erro na funcao imap_function->create(INBOX): ' . $error[0];
-			return $result;
-		}
-		if (!imap_createmailbox($this->imap, '{'.$this->imap_server.'}' . "user" . $this->imapDelimiter . $uid . $this->imapDelimiter . "Enviados"))
-		{
-			$error = imap_errors();
-			$result['status'] = false;
-			$result['msg'] = 'Erro na funcao imap_function->create(Enviados): ' . $error[0];
-			return $result;
-		}
-		if (!imap_createmailbox($this->imap, '{'.$this->imap_server.'}' . "user" . $this->imapDelimiter . $uid . $this->imapDelimiter . "Rascunhos"))
-		{
-			$error = imap_errors();
-			$result['status'] = false;
-			$result['msg'] = 'Erro na funcao imap_function->create(Rascunho): ' . $error[0];
-			return $result;
-		}
-		if (!imap_createmailbox($this->imap, '{'.$this->imap_server.'}' . "user" . $this->imapDelimiter . $uid . $this->imapDelimiter . "Lixeira"))
-		{
-			$error = imap_errors();
-			$result['status'] = false;
-			$result['msg'] = 'Erro na funcao imap_function->create(Lixeira): ' . $error[0];
-			return $result;
-		}
+			if ($error[0] == 'Mailbox already exists')
+			{
+				$result['status'] = true;
+			}
+			else
+			{
+				$result['status'] = false;
+				$result['msg'] = $this->functions->lang('Error on function') . " imap_functions->create(INBOX) ($uid):" . $error[0];
+			}
+			return $result;
+		}
+		if ( (!empty($this->imap_sentfolder)) && (!imap_createmailbox($this->imap, '{'.$this->imap_server.'}' . "user" . $this->imapDelimiter . $uid . $this->imapDelimiter . $this->imap_sentfolder)) )
+		{
+			$error = imap_errors();
+			$result['status'] = false;
+			$result['msg'] = $this->functions->lang('Error on function') . " imap_functions->create(".$this->imap_sentfolder."):" . $error[0];
+			return $result;
+		}
+		if ( (!empty($this->imap_draftsfolder)) && (!imap_createmailbox($this->imap, '{'.$this->imap_server.'}' . "user" . $this->imapDelimiter . $uid . $this->imapDelimiter . $this->imap_draftsfolder)) )
+		{
+			$error = imap_errors();
+			$result['status'] = false;
+			$result['msg'] = $this->functions->lang('Error on function') . " imap_functions->create(".$this->imap_draftsfolder."):" . $error[0];
+			return $result;
+		}
+		if ( (!empty($this->imap_trashfolder)) && (!imap_createmailbox($this->imap, '{'.$this->imap_server.'}' . "user" . $this->imapDelimiter . $uid . $this->imapDelimiter . $this->imap_trashfolder)) )
+		{
+			$error = imap_errors();
+			$result['status'] = false;
+			$result['msg'] = $this->functions->lang('Error on function') . " imap_functions->create(".$this->imap_trashfolder."):" . $error[0];
+			return $result;
+		}
+		if (!empty($this->imap_sentfolder))
+		{
+		    if (!imap_createmailbox($this->imap, '{'.$this->imap_server.'}' . "user" . $this->imapDelimiter . $uid . $this->imapDelimiter . $this->imap_spamfolder))
+			{
+			    $error = imap_errors();
+			    $result['status'] = false;
+			    $result['msg'] = $this->functions->lang('Error on function') . " imap_functions->create(".$this->imap_spamfolder."):" . $error[0];
+			    return $result;
+			}
+		}
+
 		if (!imap_set_quota($this->imap,"user" . $this->imapDelimiter . $uid, ($mailquota*1024))) 
 		{
 			$error = imap_errors();
 			$result['status'] = false;
-			$result['msg'] = 'Erro na funcao imap_function->create(set_quota): ' . $error[0];
+			$result['msg'] = $this->functions->lang('Error on function') . " imap_functions->create(imap_set_quota):" . $error[0];
 			return $result;
 		}
@@ -100,5 +126,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Erro na funcao imap_function->delete_user.\nRetorno do servidor: " . imap_last_error();
+			$result['msg'] = $this->functions->lang('Error on function') . " imap_functions->delete_user.\n" . $this->functions->lang('Server returns') . ': ' . imap_last_error();
 		}
 		
@@ -122,5 +148,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Erro na funcao imap_function->rename_mailbox.\nRetorno do servidor: " . imap_last_error();
+			$result['msg'] = $this->functions->lang('Error on function') . " imap_functions->rename_mailbox.\n" . $this->functions->lang('Server returns') . ': ' . imap_last_error();
 		}
 		else
@@ -138,5 +164,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'Você não tem acesso para executar esta operação.';
+			$result['msg'] = $this->functions->lang('You do not have access to clean an user inbox');
 			return $result;
 		}
@@ -159,5 +185,4 @@
 		if ($return_setacl)
 		{
-			//$mbox_stream = imap_open('{'.$this->imap_server.':'.$this->imap_port.$imap_options.'/user="'.$uid.'"}', $this->imap_admin, $this->imap_passwd);
 			$mbox_stream = imap_open('{'.$this->imap_server.':'.$this->imap_port.$imap_options .'}user'. $this->imapDelimiter . $uid, $this->imap_admin, $this->imap_passwd);
 			
@@ -180,11 +205,11 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = "Nao foi possivel esvaziar a caixa postal do usuario:\n" . imap_last_error();
-			}
-		}
-		else
-		{
-			$result['status'] = false;
-			$result['msg'] = "Nao foi possivel modificar a acl do usuario:\n" . imap_last_error();
+				$result['msg'] = $this->functions->lang('It was not possible clean the users inbox') . ".\n" . $this->functions->lang('Server returns') . ': ' . imap_last_error();
+			}
+		}
+		else
+		{
+			$result['status'] = false;
+			$result['msg'] = $this->functions->lang('It was not possible to modify the users acl') . ".\n" . $this->functions->lang('Server returns') . ': ' . imap_last_error();
 		}
 		return $result;
Index: trunk/expressoAdmin1_2/inc/class.maillist.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 355)
+++ trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 414)
@@ -113,9 +113,9 @@
 			if ($return['status'] == true)
 			{
-				$this->db_functions->write_log('Criado lista de email','',$dn,'','');
+				$this->db_functions->write_log('created email list',$dn);
 				
 				foreach($params['mailForwardingAddress'] as $index=>$mail)
 				{
-					$this->db_functions->write_log("Adicionado email $mail a lista ".$params['cn']." no momento da criação",$dn,'','','');
+					$this->db_functions->write_log("added user on email list creation", $params['cn'].':' . $mail);
 				}
 			}
@@ -130,5 +130,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para editar listas de email.';
+				$return['msg'] = lang('You do not have access to edit email lists') . '.';
 				return $return;
 			}
@@ -158,5 +158,5 @@
 						$dn = $newrdn . ',' . $newparent;
 						$old_dn = $old_values['uid'];
-						$this->db_functions->write_log("Renomeado login da lista de $old_dn para $dn",'',$dn,$old_values['uid'],'');
+						$this->db_functions->write_log("renamed list login",$old_dn . ' -> ' . $dn);
 					}
 				}
@@ -168,10 +168,10 @@
 			{
 				$ldap_mod_replace['mail'] = $new_values['mail'];
-				$this->db_functions->write_log('Modificado email da lista para ' . $new_values['mail'],'',$dn,'','');
+				$this->db_functions->write_log('modified list email', $dn . ': ' . $old_values['mail'] . '->' . $new_values['mail']);
 			}
 			if ($new_values['cn'] != $old_values['cn'])
 			{
 				$ldap_mod_replace['cn'] = $new_values['cn'];
-				$this->db_functions->write_log("Modificado common name da lista $dn",'',$dn,'','');
+				$this->db_functions->write_log('modified list name', $old_values['cn'] . '->' . $new_values['cn']);
 			}
 			if ($diff['uid'])
@@ -255,5 +255,5 @@
 					foreach($add_users as $index=>$mail)
 					{
-						$this->db_functions->write_log("Adicionado usuario $mail a lista de email $dn",$dn,'','','');
+						$this->db_functions->write_log("added user to list", "$dn: $mail");
 					}
 				}
@@ -275,5 +275,5 @@
 					foreach($remove_users as $index=>$mail)
 					{
-						$this->db_functions->write_log("Removido usuario $mail da lista de email $dn",$dn,'','','');
+						$this->db_functions->write_log("removed user from list", "$dn: $mail");
 					}
 				}
@@ -289,5 +289,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para editar SCL de listas de email.';
+				$return['msg'] = lang('You do not have access to edit email lists SCL') . '.';
 				return $return;
 			}
@@ -314,5 +314,5 @@
 			{
 				$ldap_add['participantCanSendMail'] = "TRUE";
-				$this->db_functions->write_log("Ativado participantCanSendMail da SCL da lista de email " . $new_values['mail'],'','','','');
+				$this->db_functions->write_log("turned on participantCanSendMail",$new_values['mail']);
 			}
 			if (($new_values['accountRestrictive'] == 'on') && ($old_values['accountRestrictive'] == ''))
@@ -320,5 +320,5 @@
 				$ldap_add['accountRestrictive'] = "mailListRestriction";
 				$ldap_add['accountDeliveryMessage']	= 'OK';
-				$this->db_functions->write_log("Ativado mailListRestriction da SCL da lista de email " . $new_values['mail'],'','','','');
+				$this->db_functions->write_log("turned on mailListRestriction", $new_values['mail']);
 			}
 			if (count($ldap_add))
@@ -337,5 +337,5 @@
 			{
 				$ldap_remove['participantCanSendMail']	= array();
-				$this->db_functions->write_log("Desativado participantCanSendMail da SCL da lista de email " . $new_values['mail'],'','','','');
+				$this->db_functions->write_log("turned off participantCanSendMail",$new_values['mail']);
 			}
 			if (($new_values['accountRestrictive'] != 'on') && ($old_values['accountRestrictive'] == 'mailListRestriction'))
@@ -343,5 +343,5 @@
 				$ldap_remove['accountRestrictive']	= array();
 				$ldap_remove['accountDeliveryMessage']	= array();
-				$this->db_functions->write_log("Desativado restrição (mailListRestriction) da SCL da lista de email " . $new_values['mail'],'','','','');
+				$this->db_functions->write_log("turned off mailListRestriction",$new_values['mail']);
 			}
 			if (count($ldap_remove))
@@ -381,5 +381,5 @@
 					foreach($add_users as $index=>$mail)
 					{
-						$this->db_functions->write_log("Adicionado usuario $mail da SCP da lista de email $dn",$dn,'','','');
+						$this->db_functions->write_log("added user to SCL","$dn: $mail",'','','');
 					}
 				}
@@ -401,5 +401,5 @@
 					foreach($add_users as $index=>$mail)
 					{
-						$this->db_functions->write_log("Removido usuario $mail da SCP da lista de email $dn",$dn,'','','');
+						$this->db_functions->write_log("removed user from SCL","$dn: $mail",'','','');
 					}
 				}
@@ -427,5 +427,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para excluir listas de email.';
+				$return['msg'] = lang('You do not have access to delete email lists') . '.';
 				return $return;
 			}
@@ -447,10 +447,9 @@
 			if ($return['status'] == true)
 			{
-				$this->db_functions->write_log('Deletado lista de email','',$uid,'','');
+				$this->db_functions->write_log('deleted email list',$uid);
 			}
 			
 			return $return;	
 		}
-		
 	}
 ?>
Index: trunk/expressoAdmin1_2/inc/class.uicomputers.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uicomputers.inc.php	(revision 309)
+++ trunk/expressoAdmin1_2/inc/class.uicomputers.inc.php	(revision 414)
@@ -91,15 +91,8 @@
 				'add_computers_disabled'	=> $this->functions->check_acl($manager_lid,'create_computers') ? '' : 'display:none',
 				'back_url'					=> $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php'),
-				'lang_back'					=> lang('Back'),
 				'context_display'			=> $context_display,
-				'lang_computers_uid'		=> lang('Computer UID'),
-				'lang_add_computers'		=> lang('Create Computers'),
-				'lang_description'			=> lang('Description'),
-				'lang_edit'  				=> lang('Edit'),
-				'lang_delete'				=> lang('Delete'),
-				'lang_context'				=> lang('context'),
-				'lang_search'				=> lang('search')
 			);
 			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
 			
 			// Save query
@@ -183,4 +176,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('create_email_list' => 'computers_form.tpl'));
+			$p->set_block('create_email_list','body','body');
 
 			// Inclue na combo, os usuarios previamente selecionados no caso de um erro na validacao dos dados.
@@ -224,21 +218,5 @@
 				'row_off'						=> "#EEEEEE",
 				'color_bg1'						=> "#E8F0F0",
-				'lang_back'						=> lang('Back'),
-				'lang_save'						=> lang('save'),
-				'lang_search_organization'		=> lang('Search Organiztion'),
-				'lang_organizations'			=> lang('Organizations'),
-				'lang_sectors'					=> lang('Sectors'),
-				'lang_sambadomain'				=> lang('Domain'),
-				
-				'lang_computer_cn'				=> lang('Computer UID'),
-				'lang_computer_description'		=> lang('Description'),
-				'lang_computer_type'			=> lang('Computer Type'),
-				
-				'lang_active_workstation'		=> lang('WorkStation Active'),
-				'lang_desactive_workstation'	=> lang('WorkStation Desactive'),
-				'lang_trust_account'			=> lang('Trust Account'),
-				'lang_server'					=> lang('Server'),
-				'lang_computer_password'		=> lang('Computer password'),
-				
+
 				'display_tr_computer_password'	=> $_POST['sambaAcctFlags'] == '[I          ]' ? '' : 'display:none',
 
@@ -254,4 +232,5 @@
 			);
 			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
 			
 			if ($_POST['sambaAcctFlags'] != '')
@@ -329,4 +308,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('edit_computers' => 'computers_form.tpl'));
+			$p->set_block('edit_computers','body','body');
 			
 			//O POST esta vazio, oq indica que precisamos recuperar os dados do computador no ldap.
@@ -370,18 +350,4 @@
 					'row_off'						=> "#EEEEEE",
 					'color_bg1'						=> "#E8F0F0",
-					'lang_back'						=> lang('Back'),
-					'lang_save'						=> lang('save'),
-					'lang_search_organization'		=> lang('Search Organiztion'),
-					'lang_organizations'			=> lang('Organizations'),
-					'lang_sectors'					=> lang('Sectors'),
-					'lang_sambadomain'				=> lang('Domain'),
-					'lang_computer_cn'				=> lang('Computer UID'),
-					'lang_computer_description'		=> lang('Description'),
-					'lang_computer_type'			=> lang('Computer Type'),
-					'lang_active_workstation'		=> lang('WorkStation Active'),
-					'lang_desactive_workstation'	=> lang('WorkStation Desactive'),
-					'lang_trust_account'			=> lang('Trust Account'),
-					'lang_server'					=> lang('Server'),
-					'lang_computer_password'		=> lang('Computer password'),
 				
 					'display_tr_computer_password'	=> $computer_data['sambaAcctFlags'] == '[I          ]' ? '' : 'display:none',
@@ -398,4 +364,5 @@
 				);
 				$p->set_var($var);
+				$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
 				
 				if ($computer_data['sambaAcctFlags'] != '')
@@ -450,17 +417,5 @@
 					'row_off'						=> "#EEEEEE",
 					'color_bg1'						=> "#E8F0F0",
-					'lang_back'						=> lang('Back'),
-					'lang_save'						=> lang('save'),
-					'lang_sectors'					=> lang('Sectors'),
-					'lang_sambadomain'				=> lang('Domain'),
-					'lang_computer_cn'				=> lang('Computer UID'),
-					'lang_computer_description'		=> lang('Description'),
-					'lang_computer_type'			=> lang('Computer Type'),
-					'lang_active_workstation'		=> lang('WorkStation Active'),
-					'lang_desactive_workstation'	=> lang('WorkStation Desactive'),
-					'lang_trust_account'			=> lang('Trust Account'),
-					'lang_server'					=> lang('Server'),
-					'lang_computer_password'		=> lang('Computer password'),
-		
+
 					// Retorna os valores, quando da um erro na validação.
 					'uidnumber'						=> $_POST['uidnumber'],
@@ -483,5 +438,6 @@
 					'old_sambasid'					=> $_POST['sambasid']
 				);
-				$p->set_var($var);		
+				$p->set_var($var);
+				$p->set_var($this->functions->make_dinamic_lang($p, 'body'));	
 
 				if ($_POST['sambaAcctFlags'] != '')
@@ -522,6 +478,4 @@
 		function delete_computer()
 		{
-			//_debug_array($_GET);
-			
 			$account_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
 			$acl = $this->functions->read_acl($account_lid);
@@ -542,4 +496,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('delete_computer' => 'computers_delete.tpl'));
+			$p->set_block('delete_computer','body','body');
 			
 			// Get group data 
@@ -550,7 +505,4 @@
 			$var = Array(
 				'color_bg1'					=> "#E8F0F0",
-				'lang_back'					=> lang('Back'),
-				'lang_delete'				=> lang('Delete'),
-				'lang_delete_computer'		=> lang('Do you realy want delete this Computer?'),
 				'dn'						=> $email_list_data['dn'],
 				'computer_cn'				=> $computer_data['computer_cn'],
@@ -561,4 +513,5 @@
 			);
 			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'body'));
 			$p->pfp('out','delete_computer');
 		}
Index: trunk/expressoAdmin1_2/inc/class.uisectors.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uisectors.inc.php	(revision 396)
+++ trunk/expressoAdmin1_2/inc/class.uisectors.inc.php	(revision 414)
@@ -68,13 +68,8 @@
 				'th_bg'					=> $GLOBALS['phpgw_info']['theme']['th_bg'],
 				'back_url'				=> $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php'),
-				'context_display'		=> $context_display,
-				'lang_context'			=> lang('context'),
-				'header_name'			=> lang('SECTORS'),
-				'lang_add_sub_sectors'	=> lang('Add Sub-Sectors'),
-				'header_edit'			=> lang('Edit'),
-				'lang_back'				=> lang('back'),
-				'header_delete'			=> lang('Delete')
-			);
-			$p->set_var($var);
+				'context_display'		=> $context_display
+			);
+			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
 
 			if (!count($sectors_info))
@@ -144,7 +139,4 @@
 		function add_sector($context='')
 		{
-			//_debug_array($_GET);
-			//_debug_array($_POST);
-
 			$manager_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
 			$acl = $this->functions->read_acl($manager_lid);
@@ -166,4 +158,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('create_sector' => 'sectors_form.tpl'));
+			$p->set_block('create_sector','list','list');
 
 			// Seta variaveis utilizadas pelo tpl.
@@ -175,14 +168,8 @@
 				'sector'			=> $_POST['sector'],
 				'sector_visible_checked'=> $_POST['sector_visible'] ? 'checked' : '',
-				
-				'lang_add'			=> lang('Add'),
-				'lang_save'			=> lang('Save'),
-				'lang_back'			=> lang('Back'),
-				'lang_context'		=> lang('Context'),
-				'lang_sector_name'	=> lang('Sector name'),
-				'lang_occult_ou'	=> lang('Occult Sector'),
 				'error_messages'	=> $_POST['error_messages'] == '' ? '' : "<script type='text/javascript'>alert('".$_POST['error_messages']."')</script>",
 			);
 			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
 
 			$p->pfp('out','create_sector');
@@ -191,6 +178,4 @@
 		function edit_sector()
 		{
-			//_debug_array($_POST);
-			
 			$account_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
 			$acl = $this->functions->read_acl($account_lid);
@@ -215,4 +200,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('edit_sector' => 'sectors_form.tpl'));
+			$p->set_block('edit_sector','list','list');
 			
 			if (!$_POST)
@@ -233,13 +219,9 @@
 				'lang_add'			=> lang('Add'),
 				'disable'			=> 'disabled',
-				'lang_save'			=> lang('Save'),
-				'lang_back'			=> lang('Back'),
-				'lang_context'		=> lang('Context'),
-				'lang_sector_name'	=> lang('Sector name'),
-				'lang_occult_ou'	=> lang('Occult Sector'),
 				'error_messages'	=> $_POST['error_messages'] == '' ? '' : "<script type='text/javascript'>alert('".$_POST['error_messages']."')</script>",
 			);
 			$p->set_var($var);
-
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
+			
 			$p->pfp('out','edit_sector');
 		}
@@ -247,6 +229,4 @@
 		function validate_data_sectors_add()
 		{
-			//_debug_array($_POST);
-
 			$sector_name	= $_POST['sector'];
 			$context		= $_POST['context'];
@@ -273,6 +253,4 @@
 		function delete_sector()
 		{
-			//_debug_array($_GET);
-			
 			$account_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
 			$acl = $this->functions->read_acl($account_lid);
@@ -293,4 +271,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('delete_sector' => 'sectors_delete.tpl'));
+			$p->set_block('delete_sector','list','list');
 			
 			$tmp_sector_name = $_GET['context'];
@@ -305,8 +284,4 @@
 			$sector_subsectors	= $this->so->get_sector_subsectors($_GET['context']);
 			
-			//_debug_array($sector_users);
-			//_debug_array($sector_groups);
-			//_debug_array($sector_subsectors);
-
 			$users_list = '';
 			foreach ($sector_users as $user)
@@ -331,12 +306,4 @@
 			$var = Array(
 				'color_bg1'					=> "#E8F0F0",
-				'lang_back'					=> lang('Back'),
-				'lang_delete'				=> lang('Delete'),
-				'lang_delete_sector'		=> lang('Do you realy want delete this sector?'),
-				'lang_content_the_users'	=> lang('Content the folling users'),
-				'lang_content_the_groups'	=> lang('Content the folling groups'),
-				'lang_content_the_sectors'	=> lang('Content the folling sectors'),
-				'lang_obs'					=> lang('All users, groups and sub-sectors of this sector will be DELETED!'),
-				
 				'manager_context'			=> $manager_context,
 				'dn'						=> $_GET['context'],
@@ -350,4 +317,5 @@
 			);
 			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
 			$p->pfp('out','delete_sector');			
 		}
Index: trunk/expressoAdmin1_2/inc/class.socomputers.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.socomputers.inc.php	(revision 396)
+++ trunk/expressoAdmin1_2/inc/class.socomputers.inc.php	(revision 414)
@@ -42,5 +42,4 @@
 			else
 			{
-				echo "Erro na escrita no LDAP, funcao so->write_ldap:" . ldap_error($this->ldap_connection);
 				ldap_close($this->ldap_connection);
 				return false;
@@ -102,4 +101,5 @@
 			$result = ldap_delete($this->ldap_connection, $dn);
 			ldap_close($this->ldap_connection);
+			$this->functions->write_log('deleted computer',$dn);
 			return $result;				
 		}
@@ -109,4 +109,5 @@
 			$result = ldap_rename($this->ldap_connection, $old_dn, $new_rdn, $new_context, true);
 			ldap_close($this->ldap_connection);
+			$this->functions->write_log('rename computer',$old_dn . '->' . $new_rdn);
 			return $result;
 		}
@@ -116,5 +117,5 @@
 			$result = ldap_mod_add($this->ldap_connection, $dn, $ldap_add_attribute);
 			ldap_close($this->ldap_connection);
-			$this->functions->write_log($GLOBALS['phpgw']->accounts->data['account_lid'], 'add attributes in ldap in email list', $dn,'','','');						
+			$this->functions->write_log('added ldap attributes from computer',$dn);						
 			return $result;
 		}
@@ -124,6 +125,5 @@
 			$result = ldap_mod_del($this->ldap_connection, $dn, $ldap_remove_attribute);
 			ldap_close($this->ldap_connection);
-			//Escreve no log
-			$this->functions->write_log($GLOBALS['phpgw']->accounts->data['account_lid'], 'remove attributes in ldap in email list', $dn,'','','');						
+			$this->functions->write_log('removed ldap attributes from computer',$dn);						
 			return $result;
 		}
@@ -133,4 +133,5 @@
 			$result = ldap_mod_replace($this->ldap_connection, $dn, $ldap_replace_attribute);
 			ldap_close($this->ldap_connection);
+			$this->functions->write_log('replace ldap attributes from computer',$dn);
 			return $result;
 		}
Index: trunk/expressoAdmin1_2/inc/class.sosectors.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.sosectors.inc.php	(revision 396)
+++ trunk/expressoAdmin1_2/inc/class.sosectors.inc.php	(revision 414)
@@ -48,6 +48,5 @@
 			if (ldap_add($this->ldap_connection, $dn, $info))
 			{
-				//Escreve no log
-				$this->functions->write_log2($GLOBALS['phpgw']->accounts->data['account_lid'], 'write in ldap', $dn,'','','');
+				$this->db_functions->write_log("write on ldap", "$dn");
 				ldap_close($this->ldap_connection);
 				return true;
@@ -55,5 +54,5 @@
 			else
 			{
-				echo 'Erro na escrita no LDAP, funcao write_ldap';
+				echo lang('Error written in LDAP, function write_ldap');
 				ldap_close($this->ldap_connection);
 				return false;
Index: trunk/expressoAdmin1_2/inc/class.uidomains.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uidomains.inc.php	(revision 317)
+++ trunk/expressoAdmin1_2/inc/class.uidomains.inc.php	(revision 414)
@@ -63,12 +63,8 @@
 			$var = Array(
 				'th_bg'					=> $GLOBALS['phpgw_info']['theme']['th_bg'],
-				'back_url'				=> $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php'),
-				'lang_sambadomainsname'	=> lang('Samba domains name'),
-				'lang_sambaSID'			=> lang('sambaSID'),
-				'lang_add'				=> lang('Add'),
-				'lang_delete'			=> lang('Delete'),				
-				'lang_back'				=> lang('back')
+				'back_url'				=> $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php')
 			);
 			$p->set_var($var);
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
 
 			if (!count($sambadomains_info))
@@ -128,4 +124,5 @@
 			$p = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 			$p->set_file(Array('create_sambadomains' => 'domains_form.tpl'));
+			$p->set_block('create_sambadomains','list','list');
 						
 			// Seta variaveis utilizadas pelo tpl.
@@ -136,12 +133,4 @@
 				'row_off'		=> "#EEEEEE",
 				'color_bg1'		=> "#E8F0F0",
-				
-				'lang_organizations'	=> lang('Organizations'),
-				'lang_name'				=> lang('Samba domain name'),
-				'lang_sid'				=> lang('Samba domain SID'),
-				'lang_add'				=> lang('Add'),
-				'lang_save'				=> lang('Save'),
-				'lang_back'				=> lang('Back'),
-				
 				'organizations'		=> $organizations,
 				'sambadomainname'	=> $_POST['sambadomainname'],
@@ -151,5 +140,6 @@
 			);
 			$p->set_var($var);
-
+			$p->set_var($this->functions->make_dinamic_lang($p, 'list'));
+			
 			$p->pfp('out','create_sambadomains');
 		}
